LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
CalendarFieldIndex.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::i18n
| Interface for internationalization.

## Constant Groups
constants | com::sun::star::i18n::CalendarFieldIndex
| Field indices to be passed to various XCalendar methods.

## Variables
const short | AM_PM = 0
| Get AmPmValue. More...
const short | DAY_OF_MONTH = 1
| Get/Set day of month [1-31]. More...
const short | DAY_OF_WEEK = 2
| Get day of week [0-6]. More...
const short | DAY_OF_YEAR = 3
| Get day of year. More...
const short | DST_OFFSET = 4
| Get daylight saving time offset in minutes, e.g. More...
const short | HOUR = 5
| Get/Set hour [0-23]. More...
const short | MINUTE = 6
| Get/Set minute [0-59]. More...
const short | SECOND = 7
| Get/Set second [0-59]. More...
const short | MILLISECOND = 8
| Get/Set milliseconds [0-999]. More...
const short | WEEK_OF_MONTH = 9
| Get week of month. More...
const short | WEEK_OF_YEAR = 10
| Get week of year. More...
const short | YEAR = 11
| Get/Set year. More...
const short | MONTH = 12
| Get/Set month [0-...]. More...
const short | ERA = 13
| Get/Set era, for example, 0:= Before Christ, 1:= After Christ. More...
const short | ZONE_OFFSET = 14
| Get/Set time zone offset in minutes, e.g. [-14*60..14*60]. More...
const short | FIELD_COUNT = 15
| Total number of fields for < OOo 3.1. More...
const short | ZONE_OFFSET_SECOND_MILLIS = 15
| Get/Set additional offset in milliseconds that adds to the value of ZONE_OFFSET. More...
const short | DST_OFFSET_SECOND_MILLIS = 16
| Get additional offset in milliseconds that adds to the value of DST_OFFSET. More...
const short | FIELD_COUNT2 = 17
| Total number of fields as of OOo 3.1. More...